当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 高手进来,帮忙看一下,谢谢大侠了ubuntu 9.10 安装出现错误....
帖子发表于 : 2009-06-05 16:15 

注册: 2009-06-02 22:05
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
我用ubuntu官方的驱动安装,结果花屏,电脑为方正e350,显卡为9250
接下来自己编译
下载 wget https://a248.e.akamai.net/f/674/9206/0/ ... 8.28.8.run
,在执行 sh ./ati-driver-installer-8.28.8.run --buildpkg Ubuntu/breezy出现如下错误
我的是9250,在执行 以下命令时出现错误:



Creating directory fglrx-install
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.28.8.............................................................
-e ==================================================
-e ATI Technologies Linux Driver Installer/Packager
-e ==================================================
Generating package: Ubuntu/breezy
[: 182: breezy: unexpected operator
./packages/Ubuntu/ati-packager.sh: 182: pushd: not found
Package build failed!
Package build utility output:
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value:
dpkg-buildpackage: set LDFLAGS to default value: -Wl,-Bsymbolic-functions
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
tail: cannot open `debian/changelog' for reading: No such file or directory
dpkg-buildpackage: failure: tail of debian/changelog gave error exit status 1
./packages/Ubuntu/ati-packager.sh: 182: popd: not found
Removing temporary directory: fglrx-install
高手帮忙给看一下,谢谢.................................


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 高手进来,帮忙看一下,谢谢大侠了ubuntu 9.10 安装出现错误....
帖子发表于 : 2009-06-05 20:09 
头像

注册: 2008-11-01 20:43
帖子: 17322
系统: 自动检测比较好
送出感谢: 44
接收感谢: 11
9250的。直接用开源驱动,官方的不支持了。别折腾了。我的就是9250的刀卡! :em04


_________________
谁是我?KL.Uiq8 YinMeng


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 高手进来,帮忙看一下,谢谢大侠了ubuntu 9.10 安装出现错误....
帖子发表于 : 2009-06-06 16:58 

注册: 2009-06-06 16:50
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
我的 用 xorg的 开源驱动花屏 阿 ,9250的


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 高手进来,帮忙看一下,谢谢大侠了ubuntu 9.10 安装出现错误....
帖子发表于 : 2009-06-06 17:01 

注册: 2009-06-02 22:05
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
开源驱动也不能用.....


最后由 zhangyuok 编辑于 2009-06-06 19:52,总共编辑了 1 次

页首
 用户资料  
 
5 楼 
 文章标题 : Re: 高手进来,帮忙看一下,谢谢大侠了ubuntu 9.10 安装出现错误....
帖子发表于 : 2009-06-06 19:50 

注册: 2009-06-02 22:05
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
我有时不能理解为什么ubuntu安装 9250驱动这么困难,大家都说驱动是系统的灵魂,在安装官方的驱动花屏后,参照官方的花屏帖子解决不了之后,选择重新编译9250的.run文件,也没有解决问题,最后在开源驱动的方法下试图安装,也出现问题,相信有我这样问题的人不在少数,大家都可以从xp阵营中来到linux中,也不希望这种不可能的渺茫希望最后化为泡影,当然,在没有解决问题后,大家都会选择回到xp阵营,大不了安装一个虚拟机罢了,那么ubuntu甚至不如其他那些杂牌的linux
还有一点让人头痛的是,既然支持 多国语言,为什么不同时在选择语言之后默认一个多国语言的输入法,还需要自己编译..........(老兄所说的scim安装之后默认是没有输入法的,既然都是网上下,(你要搜索时要用到输入法的!!!!!)那为什么不选自己喜欢的呢)

一个希望转向 开源软件的系统老鸟会对这些不在乎,虽然未来的世界是开源的世界,但是做不到这些,让很多人在驱动和输入这些最基本的层面上花费掉很多的时间,那这个操作系统还是成功的吗?

我相信有人会用新版本不支持旧硬件,但我要说,xp安装在386下也没有问题,xp下甚至可以安装tnt系列的显卡驱动(而不是系统集成的那种)就算ubuntu是免费的,至少可以提供一种安装驱动的可能方案把.


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 高手进来,帮忙看一下,谢谢大侠了ubuntu 9.10 安装出现错误....
帖子发表于 : 2009-06-06 19:52 

注册: 2009-06-02 22:05
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get -y install build-essential
Install dependencies to build the driver

sudo apt-get -y build-dep xserver-xorg-video-ati
Remove current ati driver

sudo apt-get -y purge xserver-xorg-video-ati
Download the newest driver

wget http://ftp.x.org/pub/individual/driver/ ... .0.tar.bz2
Extract the driver archive

tar xvjf xf86-video-ati-6.9.0.tar.bz2
Go to the drivers' directory

cd xf86-video-ati/
Configure the drivers' makefiles

./configure --prefix=/usr
Build the driver

make(在这里出错了.......)
sudo make install


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 高手进来,帮忙看一下,谢谢大侠了ubuntu 9.10 安装出现错误....
帖子发表于 : 2009-06-06 19:59 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
楼主太急了,现在还是A1版,至少到A6以后,相关驱动才可以搞,到时自带的驱动就可以正常工作了。 :em09
而且编译驱动,好象要下载相应内核头文件的,Linux下的驱动与内核版本紧密关联。 :em20


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译